VisualEditor: Applying link annotation to a selection containing link and image kills the image, inserts a <nowiki /> for the link's text
Closed, ResolvedPublic

Description

Bonus:

  • Use the inspector to edit the link
  • Review your changes, the image has been killed, and the link as gone a bit crazy

Version: unspecified
Severity: normal

bzimport set Reference to bz50127.
Esanders created this task.Via LegacyJun 24 2013, 7:40 PM
gerritbot added a comment.Via ConduitAug 19 2013, 8:38 PM

Change 79919 had a related patch set uploaded by Esanders:
getAnnotationsFromRange should only ingnore non-content data

https://gerrit.wikimedia.org/r/79919

Esanders added a comment.Via ConduitAug 21 2013, 1:01 PM

'Bonus' section has been filed here: https://bugzilla.wikimedia.org/show_bug.cgi?id=53151

gerritbot added a comment.Via ConduitAug 22 2013, 6:12 PM

Change 79919 merged by jenkins-bot:
getAnnotationsFromRange should only ignore non-content data

https://gerrit.wikimedia.org/r/79919

Jdforrester-WMF added a comment.Via ConduitAug 22 2013, 6:15 PM

Fixed. Will go out in next push.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.